Bug 985174 - Clean up licensing to consistently say "GPLv2 or later"
Clean up licensing to consistently say "GPLv2 or later"
Status: CLOSED CURRENTRELEASE
Product: Beaker
Classification: Community
Component: Doc (Show other bugs)
0.13
Unspecified Unspecified
unspecified Severity unspecified (vote)
: 0.14
: ---
Assigned To: Nick Coghlan
tools-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-16 22:50 EDT by Nick Coghlan
Modified: 2013-08-08 23:23 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-08 23:23:36 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nick Coghlan 2013-07-16 22:50:33 EDT
Our licensing text is currently a bit inconsistent. In some places we say "GPLv2 only" and others "GPLv2 or later".

We should consistently user the latter for greater license compatibility.
Comment 2 Nick Coghlan 2013-07-17 04:07:09 EDT
On Gerrit: http://gerrit.beaker-project.org/#/c/2084/

Most of the plain "GPLv2" references are in relation to specific tasks (or the wizard that attaches licenses to tasks), and getting that to handle "GPLv2+" is outside the scope of this audit.

We don't have any actual headers saying "GPLv2 only" that I (or licensecheck) can find, there was just the main server package which had "GPLv2" instead of "GPLv2+" in its Python metadata.

Everything else I looked at seemed to have the correct "or later" or "+" qualifier.

I also took the opportunity to clean up some outdated metadata, and simplify the way the server package populates its metadata.
Comment 5 xjia 2013-07-22 03:51:19 EDT
Beaker-server:
[root@beaker-devel bkr.server-0.13.2-py2.6.egg-info]# cat PKG-INFO
Metadata-Version: 1.0
Name: bkr.server
Version: 0.13.2
Summary: Beaker is a system for full stack software integration testing (including hardware compatibility testing).
Home-page: http://beaker-project.org/
Author: Red Hat, Inc.
Author-email: beaker-devel@lists.fedorahosted.org
License: GPLv2+
Description: UNKNOWN
Keywords: turbogears.app
Platform: UNKNOWN
Classifier: Development Status :: 5 - Production/Stable
Classifier: Operating System :: POSIX :: Linux
Classifier: Programming Language :: Python
Classifier: Framework :: TurboGears
Classifier: Framework :: TurboGears :: Applications
Classifier: License :: OSI Approved :: GNU General Public License (GPL)

Beaker-Client:

[root@beaker-2 bkr.client-0.13.2-py2.6.egg-info]# cat PKG-INFO
Metadata-Version: 1.0
Name: bkr.client
Version: 0.13.2
Summary: UNKNOWN
Home-page: UNKNOWN
Author: UNKNOWN
Author-email: UNKNOWN
License: GPLv2+
Description: UNKNOWN
Platform: UNKNOWN
Classifier: Development Status :: 5 - Production/Stable
Classifier: Operating System :: POSIX :: Linux
Classifier: Programming Language :: Python
Classifier: License :: OSI Approved :: GNU General Public License (GPL)

Beaker-Lab
[root@lab-devel-02 ~]# rpm -qa | grep beaker |xargs rpm -ql | grep info | xargs grep -R License:
/usr/lib/python2.6/site-packages/bkr.client-0.13.2-py2.6.egg-info/PKG-INFO:License: GPLv2+
/usr/lib/python2.6/site-packages/bkr.client-0.13.2-py2.6.egg-info/PKG-INFO:License: GPLv2+
/usr/lib/python2.6/site-packages/bkr-0.13.2-py2.6.egg-info/PKG-INFO:License: GPLv2+
/usr/lib/python2.6/site-packages/bkr-0.13.2-py2.6.egg-info/PKG-INFO:License: GPLv2+
/usr/lib/python2.6/site-packages/bkr.labcontroller-0.13.2-py2.6.egg-info/PKG-INFO:License: GPLv2+
/usr/lib/python2.6/site-packages/bkr.labcontroller-0.13.2-py2.6.egg-info/PKG-INFO:License: GPLv2+
Comment 6 Dan Callaghan 2013-08-08 23:23:36 EDT
Beaker 0.14.1 has been released.

Note You need to log in before you can comment on or make changes to this bug.